> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the Workspace Settings

> Update the workspace settings by provided values



## OpenAPI

````yaml put /workspaces/{ws_id}/settings
openapi: 3.0.1
info:
  title: Blink REST API
  description: >-
    The Blink REST API provides programmatic access to Blink data and
    functionality, enabling the management of resources such as workflows,
    users, cases, and more.
  termsOfService: https://www.blinkops.com/terms-of-use
  contact:
    name: API Support
    url: http://blinkops.com/support
    email: support@blinkops.com
  version: '1.0'
servers:
  - url: https://app.blinkops.com/api/v1
security: []
tags:
  - name: Controller
    description: Controller health and stats
  - name: Connections
    description: Manage your connections
  - name: Integrations
    description: Manage your integrations
  - name: Invites
    description: Manage your invites
  - name: Workflows
    description: Create and execute your workflows
  - name: Executions
    description: Get information and manage executions
  - name: Runners
    description: Configure your runners
  - name: Tables
    description: Manage your tables
  - name: Case Management
    description: Manage your cases
  - name: User Settings
    description: Manage user settings
  - name: Webhook
    description: Send to webhook
  - name: workspaces
    description: Manage your workspaces
  - name: User Info
    description: Get Information on current user
  - name: Portal
    description: Manage your portal apps
  - name: Groups
    description: Manage your Groups
  - name: Users
    description: Manage your users
paths:
  /workspaces/{ws_id}/settings:
    put:
      tags:
        - Workspaces
      summary: Update the Workspace Settings
      description: Update the workspace settings by provided values
      operationId: UpdateWorkspaceSettings
      parameters:
        - name: ws_id
          in: path
          description: Workspace ID
          required: true
          schema:
            type: string
      requestBody:
        description: Settings to update
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/api_requests.UpdateWorkspaceSettingsRequest'
        required: true
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api_requests.UpdateWorkspaceSettingsRequest
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
        '404':
          description: Cannot update workspace settings
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api_requests.UpdateWorkspaceSettingsRequest:
      type: object
      properties:
        description:
          type: string
        display_name:
          type: string
        logo_file_identifier:
          type: string
        settings:
          $ref: '#/components/schemas/api_requests.WorkspaceSettingsUpdate'
    api_responses.ErrorWrapper:
      type: object
      properties:
        data:
          type: object
        details:
          type: string
        identifier:
          type: string
        message:
          type: string
        status:
          type: integer
          example: 404
        user_error:
          type: object
    api_requests.WorkspaceSettingsUpdate:
      type: object
      properties:
        case_management_dashboard_enabled:
          type: boolean
        default_overview_page_dashboard:
          type: string
        enable_overview_page:
          type: boolean
        features:
          $ref: '#/components/schemas/models.WorkspaceFeatures'
        type:
          type: string
    models.WorkspaceFeatures:
      type: object
      properties:
        agents:
          type: boolean
        case-management:
          type: boolean
          description: |-
            add feature flags below, using the same key as in the features table
            for workspace specific features
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: >-
        Use your API key to access BlinkOps API. To generate an API key, please
        log in to your BlinkOps account and navigate to the API Keys section in
        the user settings page. Add the generated key to your request headers as
        BLINK-API-KEY.
      name: BLINK-API-KEY
      in: header

````